<?php
	// If this file is called directly, abort.
	if ( ! defined( 'WPINC' ) ) {
		die;
	}


	/**
	 * Provide a admin area view for the plugin
	 *
	 * This file is used to markup the admin-facing aspects of the plugin.
	 *
	 * @link       https://codeboxr.com
	 * @since      1.0.0
	 *
	 * @package    CBCurrencyConverter
	 * @subpackage CBCurrencyConverter/templates/admin
	 */
?>


<div class="wrap">
	<?php
		include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
		$pro_note = '';
		//plugin is not activated
		if ( ! is_plugin_active( 'cbcurrencyconverteraddon/cbcurrencyconverteraddon.php' ) ) {
			$pro_note = sprintf( '<a class="button" href="%s" target="_blank">' . esc_html__( 'Grab the Pro Version', 'cbcurrencyconverter' ) . '</a>', 'https://codeboxr.com/product/cbx-currency-converter-for-wordpress/' );
		}

	?>
	<h1 class="wp-heading-inline"><?php esc_html_e( 'CBX Currency Converter', 'cbcurrencyconverter' );
			echo ' ' . $pro_note; ?> </h1>
	<div id="poststuff">
		<div id="post-body" class="metabox-holder columns-2">
			<div id="post-body-content">
				<div class="meta-box-sortables ui-sortable">
					<div class="postbox">
						<div class="inside">
							<?php
								$this->settings_api->show_navigation();
								$this->settings_api->show_forms();
							?>
						</div>
					</div>
				</div>
			</div>
			<?php include cbcurrencyconverter_locate_template( 'admin/sidebar.php' ); ?>
		</div>
		<div class="clear clearfix"></div>
	</div>
</div>



